# Type alias AsObject

AsObject: {
availabilityResult: AvailabilityResult;
makerSignature: Uint8Array | string;
offerId: string;
supportedCapabilitiesList: number[];
uid: string;
}

#### Type declaration

- ##### availabilityResult: AvailabilityResult

- ##### makerSignature: Uint8Array | string

- ##### offerId: string

- ##### supportedCapabilitiesList: number[]

- ##### uid: string

- Defined in src/protobuf/pb_pb.d.ts:786

Generated using TypeDoc